package com.contabilidad.EntConta;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "catalogo", schema = "dbcontabilidad")
public class Catalogo implements Serializable {

    @Id
    @Column(name = "codicuenta")
    private String codigcuenta;
    @Column(name = "nombcuenta")
    private String nombcuenta;
    @Column(name = "debe_haber")
    private boolean debeHaber;
    @Column(name = "nivel")
    private Integer nivel;
    @Column(name = "detalle")
    private String detalle;
    @Column(name = "general")
    private String general;
    @Column(name = "bal_inicio")
    private BigDecimal balInicio;
    @Column(name = "cargos")
    private BigDecimal cargos;
    @Column(name = "abonos")
    private BigDecimal abonos;
    @Column(name = "caraux")
    private BigDecimal caraux;
    @Column(name = "aboaux")
    private BigDecimal aboaux;
    @Column(name = "centro")
    private String centro;
    @Column(name = "fecinic")
    private Date fecinic;
    @Column(name = "fecultop")
    private Date fecultop;
    @Column(name = "bg")
    private String bg;
    @Column(name = "orden")
    private String orden;

    public String getCodigcuenta() {
        return codigcuenta;
    }

    public void setCodigcuenta(String codigcuenta) {
        this.codigcuenta = codigcuenta;
    }

    public String getNombcuenta() {
        return nombcuenta;
    }

    public void setNombcuenta(String nombcuenta) {
        this.nombcuenta = nombcuenta;
    }

    public boolean isDebeHaber() {
        return debeHaber;
    }

    public void setDebeHaber(boolean debeHaber) {
        this.debeHaber = debeHaber;
    }

    public Integer getNivel() {
        return nivel;
    }

    public void setNivel(Integer nivel) {
        this.nivel = nivel;
    }

    public String getDetalle() {
        return detalle;
    }

    public void setDetalle(String detalle) {
        this.detalle = detalle;
    }

    public String getGeneral() {
        return general;
    }

    public void setGeneral(String general) {
        this.general = general;
    }

    public BigDecimal getBalInicio() {
        return balInicio;
    }

    public void setBalInicio(BigDecimal balInicio) {
        this.balInicio = balInicio;
    }

    public BigDecimal getCargos() {
        return cargos;
    }

    public void setCargos(BigDecimal cargos) {
        this.cargos = cargos;
    }

    public BigDecimal getCaraux() {
        return caraux;
    }

    public void setCaraux(BigDecimal caraux) {
        this.caraux = caraux;
    }

    public BigDecimal getAboaux() {
        return aboaux;
    }

    public void setAboaux(BigDecimal aboaux) {
        this.aboaux = aboaux;
    }

    public String getCentro() {
        return centro;
    }

    public void setCentro(String centro) {
        this.centro = centro;
    }

    public Date getFecinic() {
        return fecinic;
    }

    public void setFecinic(Date fecinic) {
        this.fecinic = fecinic;
    }

    public Date getFecultop() {
        return fecultop;
    }

    public void setFecultop(Date fecultop) {
        this.fecultop = fecultop;
    }

    public String getBg() {
        return bg;
    }

    public void setBg(String bg) {
        this.bg = bg;
    }

    public String getOrden() {
        return orden;
    }

    public void setOrden(String orden) {
        this.orden = orden;
    }

    public BigDecimal getAbonos() {
        return abonos;
    }

    public void setAbonos(BigDecimal abonos) {
        this.abonos = abonos;
    }

    public Catalogo() {
    }
}
